ELINKS.CONF(5)

NAME
elinks.conf - ELinks configuration file

DESCRIPTION

The elinks.conf file contains configuration information for ELinks. It can be used to configure the behaviour of ELinks in a wide variety of ways: protocol behaviour, keybindings, colors used for rendering and for the user interface.

It is read at startup and saved only when requested. All options described in this document can be fully configured from within ELinks so no editing of elinks.conf is needed.

Note that MIME-related options used for specifying handlers of various MIME types are NOT described in this document. Documentation for these options can be found at the ELinks homepage. Keybindings can also be specified in elinks.conf. This is described in the elinkskeys(5) man page.

SYNTAX

The syntax of the configuration file is very simple. The elinks.conf file is a free-form ASCII text file. The file may contain extra tabs and newlines for formatting purposes. Keywords in the file are case-sensitive. Comments may be placed anywhere within the file (except within quotes). Comments begin with the # character and end at the end of the line.

EXAMPLES
Some sample settings:

    # Use asynchronous DNS resolver?
    set connection.async_dns = 1
    # horizontal text margin.
    set document.browse.margin_width = 3
    # Default document codepage.
    set document.codepage.assume = "ISO-8859-1"
    # User defined protocol handlers
    set protocol.user.mailto.unix = "mutt %h -s "%s""

OPTIONS

  Bookmarks (bookmarks)
Bookmark options.

bookmarks.file_format <num> (default: 0)
    File format for bookmarks (affects both reading and saving):
    0   is the default native ELinks format
    1   is XBEL universal XML bookmarks format (NO NATIONAL CHARS SUPPORT!)

bookmarks.folder_state [0|1] (default: 1)
    When saving bookmarks also store whether folders are expanded or not, so the look of the bookmark dialog is kept across ELinks sessions. If disabled all folders will appear unexpanded next time ELinks is run.

  Configuration system (config)
Configuration handling options.

config.comments <num> (default: 3)
    Amount of comments automatically written to the config file:
    0   is no comments are written
    1   is only the "blurb" (name+type) is written
    2   is only the description is written
    3   is full comments are written

config.indentation <num> (default: 2)
    Shift width of one indentation level in the configuration file. Zero means that no indentation is performed at all when saving the configuration.

config.saving_style <num> (default: 3)
    Determines what happens when you tell ELinks to save options:
    0   is only values of current options are altered
    1   is values of current options are altered and missing options are added at the end of the file
    2   is the configuration file is rewritten from scratch
    3   is values of current options are altered and missing options CHANGED during this ELinks session are added at the end of the file

config.i18n [0|1] (default: 0)
    If set to 1, comments in the configuration file will be translated to the language used by UI. Note that if you have different language set in different terminals, the language used in the configuration file MAY be the same as on the terminal where you saved the file, but it should be generally considered unpredictable.

config.saving_style_w [0|1] (default: 0)
    This is internal option used when displaying a warning about obsolete config.saving_style. You shouldn't touch it.

config.show_template [0|1] (default: 0)
    Show template options in autocreated trees in the options manager and save them to the configuration file.

  Connections (connection)
Connection options.

  SSL (connection.ssl)
SSL options.

  Client Certificates (connection.ssl.client_cert)
X509 client certificate options.

connection.ssl.client_cert.enable [0|1] (default: 0)
    Enable or not the sending of X509 client certificates to servers which request them.

connection.ssl.client_cert.file <str> (default: "")
    The location of a file containing the client certificate and unencrypted private key in PEM format. If unset, the file pointed to by the X509_CLIENT_CERT variable is used instead.

connection.ssl.cert_verify [0|1] (default: 0)
    Verify the peer's SSL certificate. Note that this needs extensive configuration of OpenSSL by the user.

connection.async_dns [0|1] (default: 1)
    Whether to use asynchronous DNS resolving.

connection.max_connections <num> (default: 10)
    Maximum number of concurrent connections.

connection.max_connections_to_host <num> (default: 2)
    Maximum number of concurrent connections to a given host.

connection.receive_timeout <num> (default: 120)
    Receive timeout (in seconds).

connection.retries <num> (default: 3)
    Number of tries to establish a connection. Zero means try forever.

connection.try_ipv4 [0|1] (default: 1)
    Whether to try to connect to a host over IPv4. Note that if connection.try_ipv6 is enabled too, it takes precedence. And better do not touch this at all unless you are sure what are you doing. Note that you can also force a given protocol to be used on a per-connection basis by using an URL in the style of i.e. http4://elinks.or.cz/.

connection.try_ipv6 [0|1] (default: 1)
    Whether to try to connect to a host over IPv6. Note that you can also force a given protocol to be used on a per-connection basis by using an URL in the style of i.e. http6://elinks.or.cz/.

connection.unrestartable_receive_timeout <num> (default: 600)
    Timeout for non-restartable connections (in seconds).

  Cookies (cookies)
Cookies options.

cookies.accept_policy <num> (default: 2)
    Cookies accepting policy:
    0   is accept no cookies
    1   is ask for confirmation before accepting cookie
    2   is accept all cookies

cookies.max_age <num> (default: -1)
    Cookie maximum age (in days):
    -1  is use cookie's expiration date if any
    0   is force expiration at the end of session, ignoring cookie's expiration date
    1   + is use cookie's expiration date, but limit age to the given number of days

cookies.paranoid_security [0|1] (default: 0)
    When enabled, we'll require three dots in cookies domain for all non-international domains (instead of just two dots). Some countries have generic second level domains (eg. .com.pl, .co.uk) and allowing sites to set cookies for these generic domains could potentially be very bad. Note, it is off by default as it breaks a lot of sites.

cookies.save [0|1] (default: 1)
    Whether cookies should be loaded from and save to disk.

cookies.resave [0|1] (default: 1)
    Save cookies after each change in cookies list? No effect when cookie saving (cookies.save) is off.

  Document (document)
Document options.

  Browsing (document.browse)
Document browsing options (mainly interactivity).

  Access keys (document.browse.accesskey)
Options for handling of link access keys. An HTML document can use the ACCESSKEY attribute to assign an access key to an element. When an access key is pressed, the corresponding element will be given focus.

document.browse.accesskey.auto_follow [0|1] (default: 0)
    Automatically follow a link or submit a form if appropriate accesskey is pressed - this is the standard behaviour, but it's considered dangerous.

document.browse.accesskey.display [0|1] (default: 0)
    Display access key in link info.

document.browse.accesskey.priority <num> (default: 0)
    Priority of 'accesskey' HTML attribute:
    0   is first try all normal bindings; if it fails, check accesskey
    1   is first try only frame bindings; if it fails, check accesskey
    2   is first check accesskey (this can be dangerous)

  Forms (document.browse.forms)
Options for handling of the forms interaction.

document.browse.forms.auto_submit [0|1] (default: 1)
    Automagically submit a form when enter is pressed with a text field selected.

document.browse.forms.confirm_submit [0|1] (default: 1)
    Ask for confirmation when submitting a form.

document.browse.forms.input_size <num> (default: 20)
    Default form input size if none is specified.

document.browse.forms.insert_mode [0|1] (default: 1)
    The setting for this option affects how key presses are handled when one selects a text-input form-field. When enabled, one must explicitly 'enter' a selected text-field to edit it; this prevents a text field from capturing key presses, such as presses of a scroll key, when it is inadvertently selected. When disabled, key presses are always inserted into a selected text field.

document.browse.forms.show_formhist [0|1] (default: 0)
    Ask if a login form should be saved to file or not. This option only disables the dialog, already saved login forms are unaffected.

  Images (document.browse.images)
Options for handling of images.

document.browse.images.display_style <num> (default: 2)
    Display style for image tags when displayed:
    0   means always display IMG
    1   means always display filename
    2   means display alt/title attribute if possible, IMG if not
    3   means display alt/title attribute if possible, filename if not

document.browse.images.filename_maxlen <num> (default: 0)
    Maximum length of image filename when displayed:
    0   means always display full filename
    1-500
        means display filename with this maximal length; if it is longer, the middle is substituted by an asterisk

document.browse.images.image_link_tagging <num> (default: 1)
    When to enclose image links:
    0   means never
    1   means never if alt or title are provided (old behavior)
    2   means always

document.browse.images.image_link_prefix <str> (default: "[")
    Prefix string to use to mark image links.

document.browse.images.image_link_suffix <str> (default: "]")
    Suffix string to use to mark image links.

document.browse.images.label_maxlen <num> (default: 0)
    Maximum length of image label (alt/title):
    0   means always display full label
    1-500
        means display label with this maximal length; if it is longer, the middle is substituted by an asterisk

document.browse.images.show_as_links [0|1] (default: 0)
    Display links to images without an alt attribute. If this option is off, these images are completely invisible.

document.browse.images.show_any_as_links [0|1] (default: 1)
    Display links to any images in the document, regardless of them having an alt attribute or not. If this option is off, the alt attribute contents is shown, but as normal text, not selectable as a link.

  Links (document.browse.links)
Options for handling of links to other documents.

  Active link (document.browse.links.active_link)
Options for the active link.

  Colors (document.browse.links.active_link.colors)
Active link colors.

document.browse.links.active_link.colors.background <color|#rrggbb> (default: blue)
    Default background color.

document.browse.links.active_link.colors.text <color|#rrggbb> (default: black)
    Default text color.

document.browse.links.active_link.enable_color [0|1] (default: 0)
    Enable use of the active link background and text color settings instead of the link colors from the document.

document.browse.links.active_link.bold [0|1] (default: 0)
    Make the active link text bold.

document.browse.links.active_link.invert [0|1] (default: 1)
    Invert the fore- and background color so the link stands out.

document.browse.links.active_link.underline [0|1] (default: 0)
    Underline the active link.

document.browse.links.color_dirs [0|1] (default: 1)
    Highlight links to directories in FTP and local directory listing.

document.browse.links.numbering [0|1] (default: 0)
    Display numbers next to the links.

document.browse.links.target_blank <num> (default: 0)
    Define how to handle links having target=_blank set:
    0   means open link in current tab
    1   means open link in new tab in foreground
    2   means open link in new tab in background

document.browse.links.use_tabindex [0|1] (default: 1)
    Whether to navigate links using tabindex specified ordering. The TABINDEX attribute in HTML elements specifies the order in which links should receive focus when using the keyboard to navigating the document.

document.browse.links.number_keys_select_link <num> (default: 1)
    Number keys select links rather than specify command prefixes. This is a tristate:
    0   means never
    1   means if document.browse.links.numbering = 1
    2   means always

document.browse.links.warn_malicious [0|1] (default: 1)
    When following a link the user ID part of the URI is checked and if a maliciously crafted URI is detected a warning dialog will ask before following the link.

document.browse.links.wraparound [0|1] (default: 0)
    When pressing 'down' on the last link, jump at the first one, and vice versa.

  Scrolling (document.browse.scrolling)
Scrolling options.

document.browse.scrolling.horizontal_extended [0|1] (default: 1)
    Whether to allow horizontal scrolling when the document does not extend off the screen. Useful for copy/paste operations.

document.browse.scrolling.horizontal_step <num> (default: 8)
    Number of columns to scroll when a key bound to scroll-left or scroll- right is pressed and no prefix was given.

document.browse.scrolling.margin <num> (default: 3)
    Size of the virtual margin - when you click inside of that margin, document scrolls in that direction.

document.browse.scrolling.vertical_step <num> (default: 2)
    Number of lines to scroll when a key bound to scroll-up or scroll- down is pressed and no prefix was given.

  Searching (document.browse.search)
Options for searching.

document.browse.search.case [0|1] (default: 0)
    Whether the search should match the document text while maintaining case sensitivity.

document.browse.search.regex <num> (default: 0)
    Enable searching with regular expressions:
    0   for plain text searching
    1   for basic regular expression searches
    2   for extended regular expression searches

document.browse.search.show_hit_top_bottom [0|1] (default: 1)
    Whether to show a dialog when the search hits top or bottom of the document.

document.browse.search.wraparound [0|1] (default: 1)
    Wrap around when searching. Currently only used for typeahead.

document.browse.search.show_not_found <num> (default: 2)
    How to inform the user when nothing is matched:
    0   means do nothing
    1   means beep the terminal
    2   means pop up message box

document.browse.search.typeahead <num> (default: 0)
    Start typeahead searching when an unbound key is pressed without any modifiers. Note that most keys have default bindings, so this feature will not be useful unless you unbind them.

when you (when you press a key bound to search-typeahead or similar)
    1 automatically starts typeahead searching thru link text 2 automatically starts typeahead searching thru all document text

document.browse.margin_width <num> (default: 3)
    Horizontal text margin.

document.browse.refresh [0|1] (default: 1)
    Automatically follow document-specified refresh directives ('<meta> refresh' tags). Web-page authors use these to instruct the browser to reload a document at a given interval or to load another page. Regardless of the value the refresh URI is accessible as a link. Use the document.browse.minimum_refresh_time to control the minimum number of seconds a refresh will wait.

document.browse.minimum_refresh_time <num> (default: 1000)
    The minimum number of milliseconds that should pass before refreshing. If set to zero the document refresh time is used unchanged. It can fix going back in history for some sites that use refreshing with zero values.

document.browse.table_move_order [0|1] (default: 0)
    Move by columns in table, instead of rows.

  Cache (document.cache)
Cache options.

  Formatted documents (document.cache.format)
Format cache options.

document.cache.format.size <num> (default: 5)
    Number of cached formatted pages. Do not get too generous here, 'formatted' means that all the accompanying structures are kept in memory so that you get the cached document immediatelly, but these structures may take a lot - 2x the size of the HTML source is probably not unusual, but it can be even more if the document consists of a lot of short lines (padded right, if possible) and links and not much other markup. So if you set this to 256 and then you don't like your ELinks eating 90M, don't come complaining to us. ;-) Also note that the format cache itself is not counted to the memory cache size, but the HTML source of the formatted documents is always cached, even if it is over the memory cache size threshold. (Then of course no other documents can be cached.)

  Memory cache (document.cache.memory)
Memory cache options.

document.cache.memory.size <num> (default: 1048576)
    Memory cache size (in bytes).

document.cache.cache_redirects [0|1] (default: 0)
    Cache even redirects sent by server (usually thru HTTP by a 302 HTTP code and a Location header). This was the original behaviour for a quite some time, but it causes problems in a situation very common to various web login systems - frequently, when accessing certain location, they will redirect you to a login page if they don't receive an auth cookie, the login page then gives you the cookie and redirects you back to the original page, but there you have already cached redirect back to the login page! If this option has value of 0, this malfunction is fixed, but occasionally you may get superfluous (depends on how you take it ;-) requests to the server. If this option has value of 1, experienced users can still workaround it by clever combination of usage of reload, jumping around in session history and hitting ctrl+enter. Note that this option is checked when retrieving the information from cache, not when saving it to cache - thus if you will enable it, even previous redirects will be taken from cache instead of asking the server.

document.cache.ignore_cache_control [0|1] (default: 1)
    Ignore Cache-Control and Pragma server headers. When set, the document is cached even with 'Cache-Control: no-cache'.

  Charset (document.codepage)
Charset options.

document.codepage.assume <codepage> (default: System)
    Default document codepage. 'System' stands for a codepage determined by a selected locale.

document.codepage.force_assumed [0|1] (default: 0)
    Ignore charset info sent by server.

  Default color settings (document.colors)
Default document color settings.

document.colors.text <color|#rrggbb> (default: gray75)
    Default text color.

document.colors.background <color|#rrggbb> (default: black)
    Default background color.

document.colors.link <color|#rrggbb> (default: blue)
    Default link color.

document.colors.vlink <color|#rrggbb> (default: yellow)
    Default visited link color.

document.colors.image <color|#rrggbb> (default: darkolivegreen)
    Default image link color.

document.colors.bookmark <color|#rrggbb> (default: hotpink)
    Default bookmarked link color.

document.colors.dirs <color|#rrggbb> (default: yellow)
    Default directory color. See document.browse.links.color_dirs option.

document.colors.allow_dark_on_black [0|1] (default: 0)
    Allow dark colors on black background, and bright colors on bright background. By default the colors have their contrast increased, so that the foreground and the background do not have too similar colors. This option turns this off. Note, this is different from having it ensured through the ensure_contrast option.

document.colors.ensure_contrast [0|1] (default: 1)
    Makes sure that the back- and foreground color are never equal.

document.colors.use_document_colors <num> (default: 2)
    Use colors specified in document:
    0   is use always the default settings
    1   is use document colors if available, except background
    2   is use document colors, including background. This can mostly look very impressive, but some sites will appear really ugly. Note, that obviously if the background is not black, it will break the behaviour of transparency.

  Cascading Style Sheets (document.css)
Options concerning how to use CSS for styling documents.

document.css.enable [0|1] (default: 1)
    Enable adding of CSS style info to documents.

document.css.import [0|1] (default: 1)
    When enabled any external style sheets that are imported from either CSS itself using the @import keyword or from the HTML using <link> tags in the document header will also be downloaded.

document.css.stylesheet <str> (default: "")
    The path to the file containing the default user defined Cascading Style Sheet. It can be used to control the basic layout of HTML documents. The path is assumed to be relative to ELinks' home directory. Leave as "" to use built-in document styling.

  Downloading (document.download)
Options regarding files downloading and handling.

document.download.directory <str> (default: "./")
    Default download directory.

document.download.set_original_time [0|1] (default: 0)
    Set the timestamp of each downloaded file to the timestamp stored on the server.

document.download.overwrite <num> (default: 2)
    Prevent overwriting the local files:
    0   is files will silently be overwritten
    1   is add a suffix .{number} (for example '.1') to the name
    2   is ask the user

document.download.notify_bell <num> (default: 0)
    Audio notification when download is completed:
    0   is never
    1   is when background notification is active
    2   is always

  Dump output (document.dump)
Dump output options.

document.dump.codepage <codepage> (default: System)
    Codepage used in dump output. 'System' stands for a codepage determined by a selected locale.

document.dump.header <str> (default: "")
    Header string used in dumps. %u is substituted by URL.

document.dump.footer <str> (default: "")
    Footer string used in dumps. %u is substituted by URL.

document.dump.separator <str> (document.dump.separator <str> (default: ")

document.dump.width <num> (default: 80)
    Width of screen in characters when dumping documents.

  History (document.history)
History options.

  Global history (document.history.global)
Global history options.

document.history.global.enable [0|1] (default: 1)
    Enable global history ("history of all pages visited").

document.history.global.max_items <num> (default: 1024)
    Maximum number of entries in the global history.

document.history.global.display_type <num> (default: 0)
    What to display in global history dialog:
    0   is URLs
    1   is page titles

document.history.keep_unhistory [0|1] (default: 1)
    Keep unhistory ("forward history").

  HTML rendering (document.html)
Options concerning the display of HTML pages.

document.html.display_frames [0|1] (default: 1)
    Display frames.

document.html.display_tables [0|1] (default: 1)
    Display tables.

document.html.display_subs [0|1] (default: 1)
    Display subscripts (as [thing]).

document.html.display_sups [0|1] (default: 1)
    Display superscripts (as ^thing).

document.html.link_display <num> (default: 2)
    How to render <link> tags from the HTML header:
    0   is nothing
    1   is title
    2   is name in addition
    3   is hreflang in addition
    4   is type in addition
    5   is everything

document.html.underline_links [0|1] (default: 0)
    Underline links.

document.html.wrap_nbsp [0|1] (default: 0)
    If set do not honour non breaking space (the nbsp entity) but allow to wrap the text. This can help keeping the width of documents down so no horizontal scrolling is needed.

  Plain rendering (document.plain)
Options concerning the display of plain text pages.

document.plain.display_links [0|1] (default: 0)
    Display URIs in the document as links.

document.plain.compress_empty_lines [0|1] (default: 0)
    Compress successive empty lines to only one in displayed text.

  URI passing (document.uri_passing)
Rules for passing URIs to external commands.

document.uri_passing._template_ <str> (default: "")
    A rule for passing URI to an external command. The format is: %c in the string means the current URL %% in the string means '%'

  ECMAScript (ecmascript)
ECMAScript options.

ecmascript.enable [0|1] (default: 1)
    Whether to run those scripts inside of documents.

ecmascript.error_reporting [0|1] (default: 0)
    Open a message box when a script reports an error.

ecmascript.max_exec_time <num> (default: 5)
    Maximum execution time in seconds for a script.

ecmascript.block_window_opening [0|1] (default: 0)
    Whether to disallow scripts to open new windows or tabs.

  Information files (infofiles)
Options for information files in ~/.elinks.

infofiles.save_interval <num> (default: 300)
    Interval at which to trigger information files in ~/.elinks to be saved to disk if they has changed (seconds; 0 to disable)

infofiles.secure_save [0|1] (default: 1)
    First write data to unique temporary file, then rename this file upon successfully finishing this. Note that this relates only to config files, not downloaded files. You may want to disable it if you are using some exotic permissions for concerned files. Secure file saving is automagically disabled if file is symlink. Warning: some systems (ie. OS/2, Win32) require that destination file doesn't exist when rename(3) is called, breaking atomicity, and reducing reliability of this feature.

infofiles.secure_save_fsync [0|1] (default: 1)
    When using secure file saving, call fsync(3), if the OS supports it, to force the OS immediately to write the data to permanent storage. This is optional for those who wish to avoid excessive disk I/O.

  MIME (mime)
MIME-related options (handlers of various MIME types).

  File extension associations (mime.extension)
Extension <-> MIME type association.

mime.extension._template_ <str> (default: "")
    MIME-type matching this file extension ('*' is used here in place of '.').

  File type handlers (mime.handler)
A file type handler is a set of information about how to use an external program to view a file. It is possible to refer to it for several MIME types -- e.g., you can define an 'image' handler to which mime.type.image.png, mime.type.image.jpeg, and so on will refer; or one might define a handler for a more specific type of file -- e.g., PDF files. Note you must define both a MIME handler and a MIME type association for it to work.

  Template option folder (mime.handler._template_)
Description of this handler.

  Template option folder (mime.handler._template_._template_)
System-specific handler description (ie. unix, unix-xwin, ...).

mime.handler._template_._template_.ask [0|1] (default: 1)
    Ask before opening.

mime.handler._template_._template_.block [0|1] (default: 1)
    Block the terminal when the handler is running.

mime.handler._template_._template_.program <str> (default: "")
    External viewer for this file type. '%' in this string will be substituted by a file name.

  Mailcap (mime.mailcap)
Options for mailcap support.

mime.mailcap.enable [0|1] (default: 1)
    Enable mailcap support.

mime.mailcap.path <str> (default: "~/.mailcap:/etc/mailcap:/usr/etc/mailcap:/usr/local/etc/mailcap:/usr/share/mailcap:/usr/share/misc/mailcap")
    Mailcap search path. Colon-separated list of files. Leave as "" to use MAILCAP environment variable instead.

mime.mailcap.ask [0|1] (default: 1)
    Ask before using the handlers defined by mailcap.

mime.mailcap.description <num> (default: 0)
    Type of description to show in "what to do with this file" query dialog:
    0   is show "mailcap"
    1   is show program to be run
    2   is show mailcap description field if any; "mailcap" otherwise

mime.mailcap.prioritize [0|1] (default: 1)
    Prioritize entries by the order of the files in the mailcap path. This means that wildcard entries (like: image/*) will also be checked before deciding the handler.

  Mimetypes files (mime.mimetypes)
Options for the support of mime.types files. These files can be used to find the content type of an URL by looking at the extension of the file name.

mime.mimetypes.enable [0|1] (default: 1)
    Enable mime.types support.

mime.mimetypes.path <str> (default: "~/.mime.types:/etc/mime.types:/usr/etc/mime.types:/usr/local/etc/mime.types:/usr/share/mime.types:/usr/share/misc/mime.types")
    The search path for mime.types files. Colon-separated list of files.

  MIME type associations (mime.type)
Handler <-> MIME type association. The first sub-tree is the MIME class while the second sub-tree is the MIME type (ie. image/gif handler will reside at mime.type.image.gif). Each MIME type option should contain (case-sensitive) name of the MIME handler (its properties are stored at mime.handler.<name>).

  Template option folder (mime.type._template_)
Handler matching this MIME-type class ('*' is used here in place of '.').

mime.type._template_._template_ <str> (default: "")
    Handler matching this MIME-type name ('*' is used here in place of '.').

mime.default_type <str> (default: "application/octet-stream")
    Document MIME-type to assume by default (when we are unable to guess it properly from known information about the document).

  Protocols (protocol)
Protocol specific options.

  Local files (protocol.file)
Options specific to local browsing.

  Local CGI (protocol.file.cgi)
Local CGI specific options.

protocol.file.cgi.path <str> (default: "")
    Colon separated list of directories, where CGI scripts are stored.

protocol.file.cgi.policy [0|1] (default: 0)
    Whether to execute local CGI scripts.

protocol.file.allow_special_files [0|1] (default: 0)
    Whether to allow reading from non-regular files. Note this can be dangerous; reading /dev/urandom or /dev/zero can ruin your day!

protocol.file.show_hidden_files [0|1] (default: 1)
    When set to false, files with name starting with a dot will be hidden in local directories listing.

protocol.file.try_encoding_extensions [0|1] (default: 1)
    When set, if we can't open a file named 'filename', we'll try to open 'filename' with some encoding extension appended (ie. 'filename.gz'); it depends on the supported encodings.

  FTP (protocol.ftp)
FTP specific options.

  Proxy configuration (protocol.ftp.proxy)
FTP proxy configuration.

protocol.ftp.proxy.host <str> (default: "")
    Host and port-number (host:port) of the FTP proxy, or blank. If it's blank, FTP_PROXY environment variable is checked as well.

protocol.ftp.anon_passwd <str> (default: "some@host.domain")
    FTP anonymous password to be sent.

protocol.ftp.use_pasv [0|1] (default: 1)
    Use PASV instead of PORT (passive vs active mode, IPv4 only).

protocol.ftp.use_epsv [0|1] (default: 0)
    Use EPSV instead of EPRT (passive vs active mode, IPv6 only).

  HTTP (protocol.http)
HTTP-specific options.

  Server bug workarounds (protocol.http.bugs)
Server-side HTTP bugs workarounds.

protocol.http.bugs.accept_charset [0|1] (default: 1)
    The Accept-Charset header is quite long and sending it can trigger bugs in some rarely found servers.

protocol.http.bugs.allow_blacklist [0|1] (default: 1)
    Allow blacklisting of buggy servers.

protocol.http.bugs.broken_302_redirect [0|1] (default: 1)
    Broken 302 redirect (violates RFC but compatible with Netscape). This is a problem for a lot of web discussion boards and the like. If they will do strange things to you, try to play with this.

protocol.http.bugs.post_no_keepalive [0|1] (default: 0)
    Disable keepalive connection after POST request.

protocol.http.bugs.http10 [0|1] (default: 0)
    Use HTTP/1.0 protocol instead of HTTP/1.1.

  Proxy configuration (protocol.http.proxy)
HTTP proxy configuration.

protocol.http.proxy.host <str> (default: "")
    Host and port-number (host:port) of the HTTP proxy, or blank. If it's blank, HTTP_PROXY environment variable is checked as well.

protocol.http.proxy.user <str> (default: "")
    Proxy authentication username.

protocol.http.proxy.passwd <str> (default: "")
    Proxy authentication password.

  Referer sending (protocol.http.referer)
HTTP referer sending options. HTTP referer is a special header sent in the HTTP requests, which is supposed to contain the previous page visited by the browser. This way, the server can know what link did you follow when accessing that page. However, this behaviour can unfortunately considerably affect privacy and can lead even to a security problem on some badly designed web pages.

protocol.http.referer.policy <num> (default: 3)
    Mode of sending HTTP referer:
    0   is send no referer
    1   is send current URL as referer
    2   is send fixed fake referer
    3   is send previous URL as referer (correct, but insecure)

protocol.http.referer.fake <str> (default: "")
    Fake referer to be sent when policy is 2.

protocol.http.accept_language <str> (default: "")
    Send Accept-Language header.

protocol.http.accept_ui_language [0|1] (default: 1)
    Request localised versions of documents from web-servers (using the Accept-Language header) using the language you have configured for ELinks' user-interface (this also affects navigator.language ECMAScript value available to scripts). Note that some see this as a potential security risk because it tells web-masters and the FBI sniffers about your language preference.

protocol.http.trace [0|1] (default: 0)
    If active, all HTTP requests are sent with TRACE as their method rather than GET or POST. This is useful for debugging of both ELinks and various server-side scripts --- the server only returns the client's request back to the client verbatim. Note that this type of request may not be enabled on all servers.

protocol.http.user_agent <str> (default: "ELinks/%v (textmode; %s; %t-%b)")
    Change the User Agent ID. That means identification string, which is sent to HTTP server when a document is requested. The 'textmode' token in the first field is our silent attempt to establish this as a standard for new textmode user agents, so that the webmasters can have just a single uniform test for these if they are ie. pushing some lite version to them automagically. %v in the string means ELinks version %s in the string means system identification %t in the string means size of the terminal %b in the string means number of bars displayed by ELinks Use " " if you don't want any User-Agent header to be sent at all.

  HTTPS (protocol.https)
HTTPS-specific options.

  Proxy configuration (protocol.https.proxy)
HTTPS proxy configuration.

protocol.https.proxy.host <str> (default: "")
    Host and port-number (host:port) of the HTTPS CONNECT proxy, or blank. If it's blank, HTTPS_PROXY environment variable is checked as well.

  NNTP (protocol.nntp)
NNTP and news specific options.

protocol.nntp.server <str> (default: "")
    Used when resolving news: URIs. If set to the empty string the value of the NNTPSERVER environment variable will be used.

protocol.nntp.header_entries <str> (default: "Subject,From,Date,Message-ID,Newsgroups")
    Comma separated list of which entries in the article header to show. E.g. 'Subject' and 'From'. All header entries can be read in the header info dialog.

  URI rewriting (protocol.rewrite)
Rules for rewriting URIs entered in the goto dialog. It makes it possible to define a set of prefixes that will be expanded if they match a string entered in the goto dialog. The prefixes can be dumb, meaning that they work only like URI abbreviations, or smart ones, making it possible to pass arguments to them like search engine keywords.

  Dumb Prefixes (protocol.rewrite.dumb)
Dumb prefixes, see enable-dumb description for details.

protocol.rewrite.dumb._template_ <str> (default: "")
    Replacement URI for this dumbprefix: %c in the string means the current URL %% in the string means '%'

  Smart Prefixes (protocol.rewrite.smart)
Smart prefixes, see enable-smart description for details.

protocol.rewrite.smart._template_ <str> (default: "")
    Replacement URI for this smartprefix: %c in the string means the current URL %s in the string means the whole argument to smartprefix %0,%1,...,%9 means argument 0, 1, ..., 9 %% in the string means '%'

protocol.rewrite.enable-dumb [0|1] (default: 1)
    Enable dumb prefixes - simple URI abbreviations which can be written to the Goto URL dialog instead of actual URIs - i.e. if you write 'elinks' there, you are directed to http://elinks.or.cz/.

protocol.rewrite.enable-smart [0|1] (default: 1)
    Enable smart prefixes - URI templates triggered by writing given abbreviation to the Goto URL dialog followed by a list of arguments from which the actual URI is composed - i.e.

  SMB (protocol.smb)
SAMBA specific options.

protocol.smb.credentials <str> (default: "")
    Credentials file passed to smbclient via -A option.

  User protocols (protocol.user)
User protocols. Options in this tree specify external handlers for the appropriate protocols. Ie. protocol.user.mailto.unix.

  Template option folder (protocol.user._template_)
Handler (external program) for this protocol. Name the options in this tree after your system (ie. unix, unix-xwin).

protocol.user._template_._template_ <str> (default: "")
    Handler (external program) for this protocol and system. %f in the string means file name to include form data from %h in the string means hostname (or email address) %p in the string means port %d in the string means path (everything after the port) %s in the string means subject (?subject=<this>) %u in the string means the whole URL

protocol.no_proxy <str> (default: "")
    Comma separated list of domains for which the proxy (HTTP/FTP) should be disabled. Optionally, a port can be specified for some domains as well. If it's blank, NO_PROXY environment variable is checked as well.

  Terminals (terminal)
Terminal options.

  Template option folder (terminal._template_)
Options specific to this terminal type (according to $TERM value).

terminal._template_.type <num> (default: 0)
    Terminal type; matters mostly only when drawing frames and dialog box borders:
    0   is dumb terminal type, ASCII art
    1   is VT100, simple but portable
    2   is Linux, you get double frames and other goodies
    3   is KOI-8
    4   is FreeBSD

terminal._template_.m11_hack [0|1] (default: 0)
    Switch fonts when drawing lines, enabling both local characters and lines working at the same time. Makes sense only with linux terminal.

terminal._template_.utf_8_io [0|1] (default: 0)
    Enable I/O in UTF8 for Unicode terminals. Note that currently, only the subset of UTF8 according to terminal codepage is used.

terminal._template_.restrict_852 [0|1] (default: 0)
    Restrict the characters used when drawing lines. Makes sense only with linux terminals using the cp850/852 character sets.

terminal._template_.block_cursor [0|1] (default: 0)
    Move cursor to bottom right corner when done drawing. This is particularly useful when we have a block cursor, so that inversed text is displayed correctly.

terminal._template_.colors <num> (default: 0)
    The color mode controls what colors are used and how they are output to the terminal. The color modes are:
    0   is mono mode, only 2 colors are used
    1   is 16 color mode, uses the common ANSI colors
    2   is 256 color mode, uses XTerm RGB codes

terminal._template_.transparency [0|1] (default: 1)
    If we should not set the background to black. This is particularly useful when we have a terminal (typically in some windowing environment) with a background image or a transparent background - it will be visible in ELinks as well. Note that this option makes sense only when colors are enabled.

terminal._template_.underline [0|1] (default: 0)
    If we should use underline or enhance the color instead.

terminal._template_.charset <codepage> (default: System)
    Codepage of charset used for displaying content on terminal.

  User interface (ui)
User interface options.

  Clock (ui.clock)
Digital clock in the status bar.

ui.clock.enable [0|1] (default: 0)
    Whether to display a digital clock in the status bar.

ui.clock.format <str> (default: "[%H:%M]")
    Format string for the digital clock. See the strftime(3) manpage for details.

  Color settings (ui.colors)
Default user interface color settings.

  Color terminals (ui.colors.color)
Color settings for color terminal.

  Main menu bar (ui.colors.color.mainmenu)
Main menu bar colors.

  Unselected main menu bar item (ui.colors.color.mainmenu.normal)
Unselected main menu bar item colors.

ui.colors.color.mainmenu.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.mainmenu.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected main menu bar item (ui.colors.color.mainmenu.selected)
Selected main menu bar item colors.

ui.colors.color.mainmenu.selected.text <color|#rrggbb> (default: green)
    Default text color.

ui.colors.color.mainmenu.selected.background <color|#rrggbb> (default: black)
    Default background color.

  Hotkey (ui.colors.color.mainmenu.hotkey)
Main menu hotkey colors.

  Unselected hotkey (ui.colors.color.mainmenu.hotkey.normal)
Main menu unselected hotkey colors.

ui.colors.color.mainmenu.hotkey.normal.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.mainmenu.hotkey.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected hotkey (ui.colors.color.mainmenu.hotkey.selected)
Main menu selected hotkey colors.

ui.colors.color.mainmenu.hotkey.selected.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.mainmenu.hotkey.selected.background <color|#rrggbb> (default: green)
    Default background color.

  Menu bar (ui.colors.color.menu)
Menu bar colors.

  Unselected menu item (ui.colors.color.menu.normal)
Unselected menu item colors.

ui.colors.color.menu.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.menu.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected menu item (ui.colors.color.menu.selected)
Selected menu item colors.

ui.colors.color.menu.selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.menu.selected.background <color|#rrggbb> (default: green)
    Default background color.

  Marked menu item (ui.colors.color.menu.marked)
Marked menu item colors.

ui.colors.color.menu.marked.text <color|#rrggbb> (default: red)
    Default text color.

ui.colors.color.menu.marked.background <color|#rrggbb> (default: white)
    Default background color.

  Hotkey (ui.colors.color.menu.hotkey)
Menu item hotkey colors.

  Unselected hotkey (ui.colors.color.menu.hotkey.normal)
Menu item unselected hotkey colors.

ui.colors.color.menu.hotkey.normal.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.menu.hotkey.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected hotkey (ui.colors.color.menu.hotkey.selected)
Menu item selected hotkey colors.

ui.colors.color.menu.hotkey.selected.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.menu.hotkey.selected.background <color|#rrggbb> (default: green)
    Default background color.

  Menu frame (ui.colors.color.menu.frame)
Menu frame colors.

ui.colors.color.menu.frame.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.menu.frame.background <color|#rrggbb> (default: white)
    Default background color.

  Dialog (ui.colors.color.dialog)
Dialog colors.

  Generic (ui.colors.color.dialog.generic)
Generic dialog colors.

ui.colors.color.dialog.generic.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.generic.background <color|#rrggbb> (default: white)
    Default background color.

  Frame (ui.colors.color.dialog.frame)
Dialog frame colors.

ui.colors.color.dialog.frame.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.frame.background <color|#rrggbb> (default: white)
    Default background color.

  Scrollbar (ui.colors.color.dialog.scrollbar)
Scrollbar colors.

ui.colors.color.dialog.scrollbar.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.scrollbar.background <color|#rrggbb> (default: blue)
    Default background color.

  Selected scrollbar (ui.colors.color.dialog.scrollbar-selected)
Scrollbar selected colors.

ui.colors.color.dialog.scrollbar-selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.scrollbar-selected.background <color|#rrggbb> (default: green)
    Default background color.

  Title (ui.colors.color.dialog.title)
Dialog title colors.

ui.colors.color.dialog.title.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.dialog.title.background <color|#rrggbb> (default: white)
    Default background color.

  Text (ui.colors.color.dialog.text)
Dialog text colors.

ui.colors.color.dialog.text.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.text.background <color|#rrggbb> (default: white)
    Default background color.

  Checkbox (ui.colors.color.dialog.checkbox)
Dialog checkbox colors.

ui.colors.color.dialog.checkbox.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.dialog.checkbox.background <color|#rrggbb> (default: white)
    Default background color.

  Selected checkbox (ui.colors.color.dialog.checkbox-selected)
Dialog selected checkbox colors.

ui.colors.color.dialog.checkbox-selected.text <color|#rrggbb> (default: yellow)
    Default text color.

ui.colors.color.dialog.checkbox-selected.background <color|#rrggbb> (default: green)
    Default background color.

  Checkbox label (ui.colors.color.dialog.checkbox-label)
Dialog checkbox label colors.

ui.colors.color.dialog.checkbox-label.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.checkbox-label.background <color|#rrggbb> (default: white)
    Default background color.

  Button (ui.colors.color.dialog.button)
Dialog button colors.

ui.colors.color.dialog.button.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.color.dialog.button.background <color|#rrggbb> (default: blue)
    Default background color.

  Selected button (ui.colors.color.dialog.button-selected)
Dialog selected button colors.

ui.colors.color.dialog.button-selected.text <color|#rrggbb> (default: yellow)
    Default text color.

ui.colors.color.dialog.button-selected.background <color|#rrggbb> (default: green)
    Default background color.

  Button shortcut (ui.colors.color.dialog.button-shortcut)
Dialog button colors.

ui.colors.color.dialog.button-shortcut.text <color|#rrggbb> (default: yellow)
    Default text color.

ui.colors.color.dialog.button-shortcut.background <color|#rrggbb> (default: blue)
    Default background color.

  Selected button shortcut (ui.colors.color.dialog.button-shortcut-selected)
Dialog selected button colors.

ui.colors.color.dialog.button-shortcut-selected.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.color.dialog.button-shortcut-selected.background <color|#rrggbb> (default: blue)
    Default background color.

  Text field (ui.colors.color.dialog.field)
Dialog text field colors.

ui.colors.color.dialog.field.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.color.dialog.field.background <color|#rrggbb> (default: blue)
    Default background color.

  Text field text (ui.colors.color.dialog.field-text)
Dialog field text colors.

ui.colors.color.dialog.field-text.text <color|#rrggbb> (default: yellow)
    Default text color.

ui.colors.color.dialog.field-text.background <color|#rrggbb> (default: blue)
    Default background color.

  Meter (ui.colors.color.dialog.meter)
Dialog meter colors.

ui.colors.color.dialog.meter.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.color.dialog.meter.background <color|#rrggbb> (default: blue)
    Default background color.

  Shadow (ui.colors.color.dialog.shadow)
Dialog shadow colors (see ui.shadows option).

ui.colors.color.dialog.shadow.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.dialog.shadow.background <color|#rrggbb> (default: black)
    Default background color.

  Title bar (ui.colors.color.title)
Title bar colors.

  Generic title bar (ui.colors.color.title.title-bar)
Generic title bar colors.

ui.colors.color.title.title-bar.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.title.title-bar.background <color|#rrggbb> (default: white)
    Default background color.

  Title bar text (ui.colors.color.title.title-text)
Title bar text colors.

ui.colors.color.title.title-text.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.title.title-text.background <color|#rrggbb> (default: white)
    Default background color.

  Status bar (ui.colors.color.status)
Status bar colors.

  Generic status bar (ui.colors.color.status.status-bar)
Generic status bar colors.

ui.colors.color.status.status-bar.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.status.status-bar.background <color|#rrggbb> (default: white)
    Default background color.

  Status bar text (ui.colors.color.status.status-text)
Status bar text colors.

ui.colors.color.status.status-text.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.status.status-text.background <color|#rrggbb> (default: white)
    Default background color.

  Tabs bar (ui.colors.color.tabs)
Tabs bar colors.

  Unvisited tab (ui.colors.color.tabs.unvisited)
Tab colors for tabs that have not been selected since they completed loading.

ui.colors.color.tabs.unvisited.text <color|#rrggbb> (default: darkblue)
    Default text color.

ui.colors.color.tabs.unvisited.background <color|#rrggbb> (default: white)
    Default background color.

  Unselected tab (ui.colors.color.tabs.normal)
Unselected tab colors.

ui.colors.color.tabs.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.tabs.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Loading tab (ui.colors.color.tabs.loading)
Tab colors for tabs that are loading in the background.

ui.colors.color.tabs.loading.text <color|#rrggbb> (default: darkred)
    Default text color.

ui.colors.color.tabs.loading.background <color|#rrggbb> (default: white)
    Default background color.

  Selected tab (ui.colors.color.tabs.selected)
Selected tab colors.

ui.colors.color.tabs.selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.tabs.selected.background <color|#rrggbb> (default: green)
    Default background color.

  Tab separator (ui.colors.color.tabs.separator)
Tab separator colors.

ui.colors.color.tabs.separator.text <color|#rrggbb> (default: brown)
    Default text color.

ui.colors.color.tabs.separator.background <color|#rrggbb> (default: white)
    Default background color.

  Searched strings (ui.colors.color.searched)
Searched string highlight colors.

ui.colors.color.searched.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.color.searched.background <color|#rrggbb> (default: lime)
    Default background color.

  Non-color terminals (ui.colors.mono)
Color settings for non-color terminal.

  Main menu bar (ui.colors.mono.mainmenu)
Main menu bar colors.

  Unselected main menu bar item (ui.colors.mono.mainmenu.normal)
Unselected main menu bar item colors.

ui.colors.mono.mainmenu.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.mainmenu.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected main menu bar item (ui.colors.mono.mainmenu.selected)
Selected main menu bar item colors.

ui.colors.mono.mainmenu.selected.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.mainmenu.selected.background <color|#rrggbb> (default: black)
    Default background color.

  Hotkey (ui.colors.mono.mainmenu.hotkey)
Main menu hotkey colors.

  Unselected hotkey (ui.colors.mono.mainmenu.hotkey.normal)
Main menu unselected hotkey colors.

ui.colors.mono.mainmenu.hotkey.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.mainmenu.hotkey.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected hotkey (ui.colors.mono.mainmenu.hotkey.selected)
Main menu selected hotkey colors.

ui.colors.mono.mainmenu.hotkey.selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.mainmenu.hotkey.selected.background <color|#rrggbb> (default: white)
    Default background color.

  Menu bar (ui.colors.mono.menu)
Menu bar colors.

  Unselected menu item (ui.colors.mono.menu.normal)
Unselected menu item colors.

ui.colors.mono.menu.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.menu.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Selected menu item (ui.colors.mono.menu.selected)
Selected menu item colors.

ui.colors.mono.menu.selected.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.menu.selected.background <color|#rrggbb> (default: black)
    Default background color.

  Marked menu item (ui.colors.mono.menu.marked)
Marked menu item colors.

ui.colors.mono.menu.marked.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.menu.marked.background <color|#rrggbb> (default: white)
    Default background color.

  Hotkey (ui.colors.mono.menu.hotkey)
Menu item hotkey colors.

  Unselected hotkey (ui.colors.mono.menu.hotkey.normal)
Menu item unselected hotkey colors.

ui.colors.mono.menu.hotkey.normal.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.menu.hotkey.normal.background <color|#rrggbb> (default: black)
    Default background color.

  Selected hotkey (ui.colors.mono.menu.hotkey.selected)
Menu item selected hotkey colors.

ui.colors.mono.menu.hotkey.selected.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.menu.hotkey.selected.background <color|#rrggbb> (default: black)
    Default background color.

  Menu frame (ui.colors.mono.menu.frame)
Menu frame colors.

ui.colors.mono.menu.frame.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.menu.frame.background <color|#rrggbb> (default: white)
    Default background color.

  Dialog (ui.colors.mono.dialog)
Dialog colors.

  Generic (ui.colors.mono.dialog.generic)
Generic dialog colors.

ui.colors.mono.dialog.generic.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.generic.background <color|#rrggbb> (default: white)
    Default background color.

  Frame (ui.colors.mono.dialog.frame)
Dialog frame colors.

ui.colors.mono.dialog.frame.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.frame.background <color|#rrggbb> (default: white)
    Default background color.

  Scrollbar (ui.colors.mono.dialog.scrollbar)
Scrollbar colors.

ui.colors.mono.dialog.scrollbar.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.mono.dialog.scrollbar.background <color|#rrggbb> (default: black)
    Default background color.

  Selected scrollbar (ui.colors.mono.dialog.scrollbar-selected)
Scrollbar selected colors.

ui.colors.mono.dialog.scrollbar-selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.scrollbar-selected.background <color|#rrggbb> (default: white)
    Default background color.

  Title (ui.colors.mono.dialog.title)
Dialog title colors.

ui.colors.mono.dialog.title.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.dialog.title.background <color|#rrggbb> (default: black)
    Default background color.

  Text (ui.colors.mono.dialog.text)
Dialog text colors.

ui.colors.mono.dialog.text.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.text.background <color|#rrggbb> (default: white)
    Default background color.

  Checkbox (ui.colors.mono.dialog.checkbox)
Dialog checkbox colors.

ui.colors.mono.dialog.checkbox.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.checkbox.background <color|#rrggbb> (default: white)
    Default background color.

  Selected checkbox (ui.colors.mono.dialog.checkbox-selected)
Dialog selected checkbox colors.

ui.colors.mono.dialog.checkbox-selected.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.mono.dialog.checkbox-selected.background <color|#rrggbb> (default: black)
    Default background color.

  Checkbox label (ui.colors.mono.dialog.checkbox-label)
Dialog checkbox label colors.

ui.colors.mono.dialog.checkbox-label.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.checkbox-label.background <color|#rrggbb> (default: white)
    Default background color.

  Button (ui.colors.mono.dialog.button)
Dialog button colors.

ui.colors.mono.dialog.button.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.button.background <color|#rrggbb> (default: white)
    Default background color.

  Selected button (ui.colors.mono.dialog.button-selected)
Dialog selected button colors.

ui.colors.mono.dialog.button-selected.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.mono.dialog.button-selected.background <color|#rrggbb> (default: black)
    Default background color.

  Button shortcut (ui.colors.mono.dialog.button-shortcut)
Dialog button colors.

ui.colors.mono.dialog.button-shortcut.text <color|#rrggbb> (default: white)
    Default text color.

ui.colors.mono.dialog.button-shortcut.background <color|#rrggbb> (default: black)
    Default background color.

  Selected button shortcut (ui.colors.mono.dialog.button-shortcut-selected)
Dialog selected button colors.

ui.colors.mono.dialog.button-shortcut-selected.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.button-shortcut-selected.background <color|#rrggbb> (default: white)
    Default background color.

  Text field (ui.colors.mono.dialog.field)
Dialog text field colors.

ui.colors.mono.dialog.field.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.dialog.field.background <color|#rrggbb> (default: black)
    Default background color.

  Text field text (ui.colors.mono.dialog.field-text)
Dialog field text colors.

ui.colors.mono.dialog.field-text.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.dialog.field-text.background <color|#rrggbb> (default: black)
    Default background color.

  Meter (ui.colors.mono.dialog.meter)
Dialog meter colors.

ui.colors.mono.dialog.meter.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.dialog.meter.background <color|#rrggbb> (default: black)
    Default background color.

  Shadow (ui.colors.mono.dialog.shadow)
Dialog shadow colors (see ui.shadows option).

ui.colors.mono.dialog.shadow.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.dialog.shadow.background <color|#rrggbb> (default: black)
    Default background color.

  Title bar (ui.colors.mono.title)
Title bar colors.

  Generic title bar (ui.colors.mono.title.title-bar)
Generic title bar colors.

ui.colors.mono.title.title-bar.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.title.title-bar.background <color|#rrggbb> (default: black)
    Default background color.

  Title bar text (ui.colors.mono.title.title-text)
Title bar text colors.

ui.colors.mono.title.title-text.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.title.title-text.background <color|#rrggbb> (default: black)
    Default background color.

  Status bar (ui.colors.mono.status)
Status bar colors.

  Generic status bar (ui.colors.mono.status.status-bar)
Generic status bar colors.

ui.colors.mono.status.status-bar.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.status.status-bar.background <color|#rrggbb> (default: white)
    Default background color.

  Status bar text (ui.colors.mono.status.status-text)
Status bar text colors.

ui.colors.mono.status.status-text.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.status.status-text.background <color|#rrggbb> (default: white)
    Default background color.

  Tabs bar (ui.colors.mono.tabs)
Tabs bar colors.

  Unvisited tab (ui.colors.mono.tabs.unvisited)
Tab colors for tabs that have not been selected since they completed loading.

ui.colors.mono.tabs.unvisited.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.tabs.unvisited.background <color|#rrggbb> (default: white)
    Default background color.

  Unselected tab (ui.colors.mono.tabs.normal)
Unselected tab colors.

ui.colors.mono.tabs.normal.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.tabs.normal.background <color|#rrggbb> (default: white)
    Default background color.

  Loading tab (ui.colors.mono.tabs.loading)
Tab colors for tabs that are loading in the background.

ui.colors.mono.tabs.loading.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.tabs.loading.background <color|#rrggbb> (default: white)
    Default background color.

  Selected tab (ui.colors.mono.tabs.selected)
Selected tab colors.

ui.colors.mono.tabs.selected.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.tabs.selected.background <color|#rrggbb> (default: black)
    Default background color.

  Tab separator (ui.colors.mono.tabs.separator)
Tab separator colors.

ui.colors.mono.tabs.separator.text <color|#rrggbb> (default: gray)
    Default text color.

ui.colors.mono.tabs.separator.background <color|#rrggbb> (default: white)
    Default background color.

  Searched strings (ui.colors.mono.searched)
Searched string highlight colors.

ui.colors.mono.searched.text <color|#rrggbb> (default: black)
    Default text color.

ui.colors.mono.searched.background <color|#rrggbb> (default: white)
    Default background color.

  Dialog settings (ui.dialogs)
Dialogs-specific appearance and behaviour settings.

ui.dialogs.listbox_min_height <num> (default: 10)
    Minimal height of the listbox widget (used e.g. for bookmarks or global history).

ui.dialogs.shadows [0|1] (default: 0)
    Make dialogs drop shadows (the shadows are solid, you can adjust their color by ui.colors.*.dialog.shadow). You may also want to eliminate the wide borders by adjusting setup.h.

ui.dialogs.underline_hotkeys [0|1] (default: 0)
    Whether to underline hotkeys in menus to make them more visible. Requires the underlining is enabled for the terminal.

ui.dialogs.underline_button_shortcuts [0|1] (default: 0)
    Whether to underline button shortcuts to make them more visible. Requires the underlining is enabled for the terminal.

  LEDs (ui.leds)
LEDs (visual indicators) options.

ui.leds.enable [0|1] (default: 1)
    Enable LEDs. These visual indicators will inform you about various states.

  Sessions (ui.sessions)
Sessions settings.

ui.sessions.auto_restore [0|1] (default: 0)
    Automatically restore the session at start. This feature requires bookmark support.

ui.sessions.auto_save [0|1] (default: 0)
    Automatically save the session when quitting. This feature requires bookmark support.

ui.sessions.auto_save_foldername <str> (default: "Auto saved session")
    Name of the bookmarks folder used for auto saving and restoring session. The name has to be unique. Any folders with the same name will be deleted. This only makes sense with bookmark support.

ui.sessions.homepage <str> (default: "")
    The URI to load either at startup time when no URI was given on the command line or when requested by the goto-url-home action. Set to "" if the environment variable WWW_HOME should be used as homepage URI instead.

ui.sessions.snapshot [0|1] (default: 0)
    Automatically save a snapshot of all tabs periodically. This will periodically bookmark the tabs of each terminal in a separate folder for recovery after a crash.

  Window tabs (ui.tabs)
Window tabs settings.

ui.tabs.show_bar <num> (default: 1)
    Show tabs bar on the screen:
    0   means never
    1   means only if two or more tabs are open
    2   means always

ui.tabs.wraparound [0|1] (default: 1)
    When moving right from the last tab, jump at the first one, and vice versa.

ui.tabs.confirm_close [0|1] (default: 0)
    When closing a tab show confirmation dialog.

  Timer options (ui.timer)
Timed action after certain interval of user inactivity. Someone can even find this useful, although you may not believe that.

ui.timer.enable <num> (default: 0)
    Whether to enable the timer or not:
    0   is don't count down anything
    1   is count down, but don't show the timer
    2   is count down and show the timer near LEDs

ui.timer.duration <num> (default: 86400)
    Inactivity timeout in seconds. The maximum of one day should be enough for just everyone (TM).

ui.timer.action <str> (default: "")
    Keybinding action to be triggered when timer reaches zero.

ui.date_format <str> (default: "%b %e %H:%M")
    Date format to use in dialogs. See strftime(3).

ui.language <language> (default: "System")
    Language of user interface. 'System' means that the language will be extracted from the environment dynamically.

ui.show_status_bar [0|1] (default: 1)
    Show status bar on the screen.

ui.show_title_bar [0|1] (default: 1)
    Show title bar on the screen.

ui.startup_goto_dialog [0|1] (default: 1)
    Pop up goto dialog in newly created tabs when there's no homepage set. This means also showing goto dialog on startup.

ui.success_msgbox [0|1] (default: 1)
    When you pressed a [ Save ] button in some manager, this option will make sure that a box confirming success of the operation will pop up.

ui.window_title [0|1] (default: 1)
    Set the window title when running in a windowing environment in an xterm-like terminal. This way the document's title is shown on the window titlebar.

DOCUMENT INFO

Generated by help2doc (Revision: 1.15) on 02 May 05 using output from ELinks version 0.10.4.CVS. help2doc is distributed with ELinks under the terms of the GPL.

SEE ALSO
elinks(1), elinkskeys(5)